CREATE TABLE hwr_flw_authentication (
    SOURCE_ID                    NUMBER(18, 0) ,
    HOST_URL                     VARCHAR2(2048)    NOT NULL,
    OAUTH_VERSION                VARCHAR2(128)     NOT NULL,
    REQUEST_URL                  VARCHAR2(2048),
    AUTHORIZATION_URL            VARCHAR2(2048),
    SCOPES                       VARCHAR2(4000),
    RESPONSE_TYPE                VARCHAR2(128) ,
    ACCESS_TOKEN_URL             VARCHAR2(2048),
    GRANT_TYPE                   VARCHAR2(128) ,
    CALLBACK_URL_PARAMETER       VARCHAR2(2048),
    PROFILE_REQUEST_URL          VARCHAR2(2048),
    PROFILE_REQUEST_PARAMETER    VARCHAR2(2048),
    AUTH_ATTR_1                  VARCHAR2(2048),
    AUTH_ATTR_2                  VARCHAR2(2048),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SOURCE_ID                    NUMBER(18, 0) ,
    HOST_URL                     VARCHAR2(2048)    NOT NULL,
    OAUTH_VERSION                VARCHAR2(128)     NOT NULL,
    REQUEST_URL                  VARCHAR2(2048),
    AUTHORIZATION_URL            VARCHAR2(2048),
    SCOPES                       VARCHAR2(4000),
    RESPONSE_TYPE                VARCHAR2(128) ,
    ACCESS_TOKEN_URL             VARCHAR2(2048),
    GRANT_TYPE                   VARCHAR2(128) ,
    CALLBACK_URL_PARAMETER       VARCHAR2(2048),
    PROFILE_REQUEST_URL          VARCHAR2(2048),
    PROFILE_REQUEST_PARAMETER    VARCHAR2(2048),
    AUTH_ATTR_1                  VARCHAR2(2048),
    AUTH_ATTR_2                  VARCHAR2(2048),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONSTRAINT pk_hwr_flw_authentication PRIMARY KEY (SOURCE_ID, SOURCE_ID)
);
